Name:		libmxml
Version:	2.8
Release:	3%{?dist}
Summary:	Small XML parsing library

Group:		System Environment/Libraries
License:	LGPLv2+
URL:		http://www.minixml.org/
Source0:	http://www.msweet.org/files/project3/mxml-%version.tar.gz
Patch1:		libmxml-threads.patch
BuildRequires:	chrpath
BuildRoot:      %{_tmppath}/%name-%version-%{release}-root-%(%{__id_u} -n)


%description
Mini-XML is a small XML parsing library that you can use to read XML and
XML-like data files in your application without requiring large non-standard
libraries.

Mini-XML provides the following functionality:
 * Reading of UTF-8 and UTF-16 and writing of UTF-8 encoded XML files and
   strings.
 * Data is stored in a linked-list tree structure, preserving the XML data
   hierarchy.
 * Supports arbitrary element names, attributes, and attribute values with
   no preset limits, just available memory.
 * Supports integer, real, opaque ("cdata"), and text data types in "leaf"
   nodes.
 * Functions for creating, indexing, and managing trees of data.
 * "Find" and "walk" functions for easily locating and navigating trees of
   data.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n mxml-%version
%patch1 -p1


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install BUILDROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
chrpath --delete $RPM_BUILD_ROOT%_libdir/*.so.*.* $RPM_BUILD_ROOT%_bindir/*
rm $RPM_BUILD_ROOT%{_libdir}/*.a


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc CHANGES COPYING README
%{_libdir}/*.so.*

%files devel
%doc CHANGES COPYING README
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%_bindir/*
%_mandir/*/*
%_datadir/doc/mxml


%changelog
* Mon Jan 12 2015 Dave Love <d.love@liverpool.ac.uk> - 2.8-3
- Link against pthreads

* Fri Dec 26 2014 Dave Love <d.love@liverpool.ac.uk> - 2.8-2
- Don't include static libs

* Mon Feb 24 2014 Dave Love <d.love@liverpool.ac.uk> - 2.8-1
- Initial packaging
